//
//  STFont.h
//  Kahuna
//
//  Created by Davyd Geyl on 20/07/10.
//  Copyright 2010 Sportstec Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString* const STFontAttribute;

@interface STFont : NSObject

+ (instancetype)systemFontOfSize:(CGFloat)fontSize;
+ (instancetype)boldSystemFontOfSize:(CGFloat)fontSize;
+ (instancetype)fontWithName:(NSString*)fontName size:(CGFloat)fontSize;
- (instancetype)initWithName:(NSString*)fontName size:(CGFloat)fontSize;
- (instancetype)initWithSystemFontOfSize:(CGFloat)fontSize;
- (instancetype)initWithBoldSystemFontOfSize:(CGFloat)fontSize;

- (instancetype)initWithJSONRepresentation:(NSString *)JSONRepresentation;
@property (nonatomic, readonly) NSString *JSONStringRepresentation;

- (NSString*)fontName;

- (id)fontObject;

@end
