//
//  STTextObject.h
//  Coda
//
//  Created by Davyd Geyl on 22/10/08.
//  Copyright 2008 Sportstec Ltd. All rights reserved.
//

#import "STProtoObject.h"
#import "STProtocols.h"

@class STColor;

@interface STTextObject : STProtoObject <NSCoding> 

@property (nonatomic, strong) NSString* text;
@property (nonatomic, strong) NSFont *textFont;
@property (nonatomic, strong) STColor* textColor;
@property (nonatomic, assign) NSTextAlignment textAlignment;
@property (nonatomic, strong) NSDictionary* otherTextAttributes;
@property (nonatomic, readonly) NSString *JSONStringRepresentation;

- (instancetype)initWithText:(NSString*)text;
- (instancetype)initWithJSONRepresentation:(NSString *)JSONRepresentation;

@end
