//
//  STFill.h
//  Kahuna
//
//  Created by Davyd Geyl on 2/07/10.
//  Copyright 2010 Sportstec Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "STProtocols.h"
#import "STColor.h"

@class STColor;
@class STImage;

@interface STFill : NSObject

@property (nonatomic, strong) STColor* fillColor;
@property (nonatomic, strong) STColor* fillGradientEndColor;
@property (nonatomic, assign) CGFloat fillGradientAngle;
@property (nonatomic, strong) STImage* fillImage;
@property (nonatomic, assign) STFillType fillType;
@property (nonatomic, assign) STImageFillType imageFillType;
@property (nonatomic, readonly) NSString *JSONStringRepresentation;

- (void)setUpObjectWithSelf:(STFill*)object;
- (instancetype)initWithJSONRepresentation:(NSString *)JSONRepresentation;

@end
