//
//  STProtoObject.h
//  Kahuna
//
//  Created by Davyd Geyl on 20/08/09.
//  Copyright 2009 Sportstec Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>

#import <SCNFoundation/STProtocols.h>

#import "STLayerObject.h"

@interface STProtoObject : NSObject <STProtoObjectInterface, NSCopying, STLayerObject, STDataContainer>

@property (nonatomic, weak) NSUndoManager* undoManager;
@property (nonatomic, assign) id visualObject;

- (void)setUpObjectWithSelf:(STProtoObject*)object;

@end

