//
//  STSortDescriptor.h
//  Kahuna
//
//  Created by Davyd Geyl on 21/09/09.
//  Copyright 2009 Sportstec Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface STSortDescriptor : NSObject <NSCoding, NSCopying>

+ (STSortDescriptor*)sortDescriptorWithName:(NSString*)name key:(NSString*)key ascending:(BOOL)ascending selector:(SEL)selector;

@property (nonatomic, strong) NSString* name;
@property (nonatomic, strong) NSString* key;
@property (nonatomic, getter = isAscending) BOOL ascending;
@property (nonatomic, assign) SEL selector;
@property (nonatomic, strong, readonly) NSSortDescriptor *sortDescriptor;

@end
